.title {
	grid-area: title;
	text-align: center;

	@include lg {
		text-align: unset;
	}

	@include xl {
		padding-right: 12rem;
	}

	@include xxxxl {
		padding-right: 20rem;
	}

	h1 {
		color: var(--very-dark-magenta);
		font-weight: var(--font-weight-bold);
		font-size: 3rem;
		line-height: 3rem;
		margin-bottom: 2.5rem;

		@include lg {
			font-size: 4rem;
		}

		@include xl {
			font-size: 5rem;
			line-height: 5rem;
			margin-bottom: 1rem;
		}

		@include xxxl {
			font-size: 8rem;
			line-height: 8rem;
			margin-bottom: 2rem;
		}
	}

	p {
		color: var(--dark-grayish-magenta);
		font-weight: var(--font-weight-regular);
		font-size: 1.4rem;
		line-height: 2.5rem;

		@include xxl {
			font-size: 1.8rem;
		}

		@include xxxl {
			font-size: 2.5rem;
			line-height: 3.5rem;
		}
	}
}

.ratings {
	grid-area: ratings;
	display: grid;
	grid: repeat(3, 1fr) / 1fr;
	grid-gap: 1.5rem;

	@include lg {
		grid: repeat(3, 6rem) / 1fr;
	}

	@include xxxl {
		grid: repeat(3, 8rem) / 1fr;
		place-content: center;
	}

	> div {
		background: var(--light-grayish-magenta);
		display: flex;
		flex-flow: column;
		justify-content: space-evenly;
		align-items: center;
		border-radius: 10px;

		@include lg {
			width: 80%;
			flex-flow: row;
			justify-content: flex-start;
			align-items: center;
		}

		&:nth-child(1) {
			@include lg {
				margin-right: auto;
			}
		}

		&:nth-child(2) {
			@include lg {
				margin: 0 auto;
			}
		}

		&:nth-child(3) {
			@include lg {
				margin-left: auto;
			}
		}

		.stars {
			@include lg {
				margin-left: 1rem;
				margin-right: 1rem;
			}

			@include xl {
				margin-left: 3rem;
				margin-right: 3rem;
			}
		}

		span {
			color: var(--very-dark-magenta);
			font-weight: var(--font-weight-bold);
			font-size: 1.4rem;

			@include lg {
				font-size: 1.25rem;
			}

			@include xl {
				font-size: 1.4rem;
			}

			@include xxl {
				font-size: 1.6rem;
			}
		}
	}
}

.comments {
	grid-area: comments;
	display: grid;
	grid: repeat(3, 1fr) / 1fr;
	grid-gap: 1.5rem;

	@include lg {
		grid: 1fr / repeat(3, 1fr);
		grid-gap: 3rem;
	}

	> div {
		background: var(--very-dark-magenta);
		display: flex;
		flex-flow: column;
		justify-content: space-around;
		padding: 2rem 3rem;
		border-radius: 10px;

		@include lg {
			height: 90%;
		}

		@include xxl {
			justify-content: space-evenly;
		}

		&:nth-child(1) {
			@include lg {
				margin-bottom: auto;
			}
		}

		&:nth-child(2) {
			@include lg {
				margin: auto 0;
			}
		}

		&:nth-child(3) {
			@include lg {
				margin-top: auto;
			}
		}

		> div {
			display: flex;
			flex-flow: row;
			justify-content: flex-start;
			align-items: center;

			img {
				border-radius: 50%;
				height: 42px;
				margin-right: 2.5rem;

				@include xxl {
					height: 56px;
				}

				@include xxxl {
					height: 64px;
				}
			}

			> div {
				height: 100%;
				display: flex;
				flex-flow: column;
				justify-content: space-around;
				align-items: flex-start;
				font-size: 1.3rem;

				@include xxl {
					font-size: 1.4rem;
				}

				@include xxl {
					justify-content: space-evenly;
					font-size: 1.6rem;
				}

				div {
					color: var(--white);
					font-weight: var(--font-weight-regular);
				}

				span {
					color: var(--soft-pink);
				}
			}
		}

		p {
			color: var(--light-grayish-magenta);
			font-size: 1.3rem;
			line-height: 2.2rem;

			@include xxl {
				font-size: 1.6rem;
				line-height: 2.5rem;
			}

			@include xxxl {
				font-size: 1.8rem;
				line-height: 3rem;
			}
		}
	}
}
